Forum / Devolutions Server - Announcement

New server coming soon, please wait before installing RDM 12.5 as it is not compatible.

Hello,

The next version Devolutions Server is coming real soon, please refrain from installing RDM 12.5 as it is not compatible with our previous General availability release (4.0.7) of the server.

Thank you for your patience.



Maurice Côté

Customers that use Devolutions Server are provided free remote sessions for performing upgrades. Please send a request to the Devolutions Service Desk to get the process started.

signaturesignature

Clock13 mths